class Bee:
    def __init__(self, number):
        self.health = 100
        self.isDead = False
        self.number = number

    def damage(self, damageInt):
        if not self.isDead:
            self.health -= damageInt
        if self.health < 0:
            self.health = 0
        self.checkHealth()

class Worker(Bee):
    def __init__(self, number):
        super().__init__(number)
        self.type = "Worker"

    def checkHealth(self):
        if self.health < 70:
            self.isDead = True

class Queen(Bee):
    def __init__(self, number):
        super().__init__(number)
        self.type = "Queen"

    def checkHealth(self):
        if self.health < 20:
            self.isDead = True

class Drone(Bee):
    def __init__(self, number):
        super().__init__(number)
        self.type = "Drone"

    def checkHealth(self):
        if self.health < 50:
            self.isDead = True