from Bees import *
import random
from tkinter import *

def makeBees(hiveSize):
    beeHive = []
    for beeNum in range(hiveSize):
        beeHive.append(Worker(beeNum+1))
        beeHive.append(Queen(beeNum+1))
        beeHive.append(Drone(beeNum+1))
    return beeHive

def runDamage(curHive):
    for bee in curHive:
        damageAmount = random.randint(0, 80)
        bee.damage(damageAmount)

def clickButton(curHive, root):
    runDamage(curHive)
    #removes button
    root.destroy()

def displayBees(curHive):
    for bee in curHive:
        if bee.isDead == True:
            status = "Dead"
        else:
            status = "Alive"
        print("|" + bee.type + " " + str(bee.number) + " " + status + " Heath " + str(bee.health) + "%|")
    print("\n")

def createButton(curHive):
    root = Tk()
    root.geometry('300x200')

    l = Label(root, text="Bees")
    l.pack

    b = Button(root, text="Damage Bees!", command=lambda: clickButton(curHive, root))
    b.pack()

    root.mainloop()

if __name__ == "__main__":
    # The current hive
    curHive = makeBees(10)
    Bees = True
    displayBees(curHive)
    while Bees:
        createButton(curHive)
        displayBees(curHive)
        Bees = False
        for bee in curHive:
            if not bee.isDead:
                Bees = True
